Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in icecast
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in icecast
ID: 201412-38
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Fr, 26. Dezember 2014, 18:08
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9018
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9091
Applikationen: icecast

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--LfHC7hPe777nkvb0XXJ2sVJKC4HGJdQ6D
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201412-38
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: High
Title: Icecast: Multiple Vulnerabilities
Date: December 26, 2014
Bugs: #529956, #530784
ID: 201412-38

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Two vulnerabilities have been found in Icecast, possibly resulting in
privilege escalation or disclosure of information.

Background
==========

Icecast is an open source alternative to SHOUTcast that supports MP3,
OGG (Vorbis/Theora) and AAC streaming.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 net-misc/icecast < 2.4.1 >= 2.4.1

Description
===========

Two vulnerabilities have been discovered in Icecast:

* Icecast does not properly handle shared file descriptors
(CVE-2014-9018)
* Supplementary group privileges are not changed (CVE-2014-9091)

Impact
======

A local attacker can possibly gain escalated privileges or obtain
sensitive information.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Icecast users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=net-misc/icecast-2.4.1"

References
==========

[ 1 ] CVE-2014-9018
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9018
[ 2 ] CVE-2014-9091
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9091

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-201412-38.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2014 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--LfHC7hPe777nkvb0XXJ2sVJKC4HGJdQ6D
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iF4EAREIAAYFAlSctVsACgkQAnl3SfnYR/hO7wD/QGujXnI2TwfF8VE0ujyXHOGJ
dd9iDSJiKWPK4I+D6LMBAJM8Bj/hX/4dV5I2tTSXNc5o0bpBpwWXwxRVlN7YxI5l
=3UWd
-----END PGP SIGNATURE-----

--LfHC7hPe777nkvb0XXJ2sVJKC4HGJdQ6D--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung